Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Module dateformatter :: Class GregorianDateFormatter |
[frames] | no frames]

# Class GregorianDateFormatter

source code

    object --+
             |
            GregorianDateFormatter

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
use_abbreviated_name_for_month(self, value) | source code
set_separators(self, first, second) | source code
set_region_order(self, year, month, day) | source code
format(self, ymd_tuple) | source code
parse(self, date_bc_tuple) | source code
get_region_type(self, date_string, cursor_position) | source code
get_next_region(self, date_string, cursor_position) | source code
get_previous_region(self, date_string, cursor_position) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| YEAR = `"YEAR"`
| MONTH = `"MONTH"`
| DAY = `"DAY"`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)